totem (43.2-6ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 14 Aug 2025 12:25:20 +0200

totem (43.2-6) unstable; urgency=medium

  * Team upload
  * d/control: totem-video-thumbnailer Breaks/Replaces older versions
    of totem-common.
    It contains a man page that was previously in totem-common.
    (Closes: #1111061)
  * d/control: Replace libgirepository1.0-dev with gobject-introspection
    and gir1.2-*-dev
  * d/control: Explicitly build-depend on gir1.2-*-dev packages for
    required GIR XML.
    These are provided by the lib*-dev packages, but not if they were built
    with <!nogir>.
  * d/control, d/rules: Only build documentation in Architecture: all builds
  * d/copyright: Remove obsolete FSF postal address
  * d/totem-common.links: Make API documentation available in /usr/share/doc
  * d/totem-common.doc-base: Register API documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 10:51:02 +0100

totem (43.2-5) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:26:39 -0400

totem (43.2-4ubuntu1) questing; urgency=medium
  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Charles <charles05@canonical.com>  Mon, 04 Aug 2025 10:22:01 +0100

totem (43.2-4) experimental; urgency=medium

  * Split totem-video-thumbnailer out of totem so that it can accompany
    other apps, such as showtime

 -- Charles <charles05@canonical.com>  Wed, 30 Jul 2025 12:08:41 +0100

totem (43.2-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 21:09:47 +0100

totem (43.2-2) experimental; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * d/control: Increase libportal build-dependency to 0.7, now required
    upstream due to totem!390.
    This version is already present in trixie, but not in bookworm.
  * d/control: Explicitly build-depend on libepoxy-dev, required by the
    GL check in totem!379

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Jun 2025 11:01:40 +0100

totem (43.2-1) experimental; urgency=medium

  * New upstream release
    - Fix a crash on startup on 32-bit architectures
      (Closes: #986432, totem!393 upstream)
    - Fix memory leaks, one of which could have the side-effect of leaking
      large amounts of disk space in ~/.cache/totem/stream-buffer
      (totem#614, totem!409 upstream)
    - Make the main video widget take keyboard focus when playback starts,
      so that keyboard shortcuts like spacebar to pause work as expected
      (totem!420 upstream)
    - Don't crash the whole application if libportal fails to initialize:
      use xdp_portal_initable_new() instead, which has error reporting
      (totem!390 upstream)
    - Match the window to the application ID so that Wayland compositors
      will show the correct icon
      (totem!391 upstream)
    - Automatically fall back to plain GTK video sink if environment
      variable TOTEM_USE_GST_GTKSINK=1 is set, if the GL driver is too old
      to work, or if the GL driver name indicates software rendering
      (totem!379 upstream)
    - Use GStreamer playbin's convert-sample feature instead of
      reimplementing equivalent functionality locally
      (totem!261 upstream)
    - Exclude m3u playlists from thumbnailing: they are not a video format,
      and loading them from a sandbox with no network access will usually
      fail anyway
      (totem#626 upstream)
    - Avoid a duplicate MIME-type registration for application/x-smil, etc.
      (totem#635 upstream)
    - Allow one thumbnailing process per CPU
      (totem!399 upstream)
    - Fix a deprecation warning in the pythonconsole plugin
      (totem!400 upstream)
    - Stop using a private gnome-shell API to show a "camera flash" effect
      when taking screenshots: unprivileged apps are no longer allowed to
      call into this API, so it had no practical effect
      (totem!371 upstream)
    - AppStream metadata improvements
      + update URLs
      + pin screenshots to the gnome-43 branch so they will not become
        misleading if the UI changes in the main branch
      + add branding colours
    - Fix build system warnings
    - Translation updates
  * Remove all patches except d/p/Mark-lint-checks-as-part-of-a-suite.patch,
    applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 13:20:12 -0400

totem (43.2-0ubuntu1) questing; urgency=medium

  * Resynchronize with Debian (LP: #2112077). Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist
  * New upstream release
  * Remove patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Jun 2025 14:31:20 -0400

totem (43.1-6) unstable; urgency=medium

  * Team upload

  [ Alban Browaeys ]
  * Set number of threads to 1 for common GStreamer decoders

  [ Matthias Klumpp ]
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Mon, 05 May 2025 21:28:32 +0200

totem (43.1-5) unstable; urgency=medium

  * Team upload

  [ Alban Browaeys ]
  * Fix thumbnailing truncated 4K video

 -- Matthias Klumpp <mak@debian.org>  Sun, 04 May 2025 22:01:12 +0200

totem (43.1-4) unstable; urgency=medium

  * Team upload
  * Switch to using appstreamcli for MetaInfo validation

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 18:41:54 +0200

totem (43.1-3ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:50 +0200

totem (43.1-3ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 19:57:16 -0400

totem (43.1-3) unstable; urgency=medium

  [ Alban Browaeys ]
  * Cherry-pick patch to fix avi failure to thumbnail via totem
    after changes in shared-mime-info 2.3
  * Add patch to fix thumbnailer failure due to OpenBLAS pthread
    exceeding address space limit (Closes: #967941, #973942)

  [ AsciiWolf ]
  * Cherry-pick patches to remove unused broken plugins
    for Apple Trailers and Vimeo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 19:52:49 -0400

totem (43.1-1ubuntu1) plucky; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - d/p/91_quicklist_entries.patch: Add static quicklist

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 11 Nov 2024 14:42:28 +0100

totem (43.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Remove version constraints unnecessary since Debian 11
  * d/p/fix-scroll-by-page-gtk-settings-handling.patch:
    Drop patch that was applied upstream
  * d/p/Mark-lint-checks-as-part-of-a-suite.patch, d/rules:
    Skip pylint checks in a hopefully upstreamable way
    - d/p/debian/Don-t-run-pylint-at-build-time.patch:
      Remove patch, superseded
  * d/control: Standards-Version: 4.7.0 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Oct 2024 15:28:06 +0100

totem (43.0-4) unstable; urgency=medium

  * Team upload
  * d/control: Remove unused build-dependency on libgdata-dev
    (Closes: #1082017)
  * d/control: Add ${gir:Depends}, ${gir:Provides} to libtotem-dev

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 15:11:52 +0100

totem (43.0-3ubuntu1) oracular; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - Add 91_quicklist_entries.patch:
      + Add static quicklist

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 May 2024 09:51:39 -0400

totem (43.0-3) unstable; urgency=medium

  [ Alban Browaeys ]
  * Fix handling of GTK setting scroll by page

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Drop unused Build-Depends: libsoup2.4-dev
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 19:58:59 -0500

totem (43.0-2ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - Add 91_quicklist_entries.patch:
      + Add static quicklist

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 13:22:02 -0400

totem (43.0-2) unstable; urgency=medium

  * Don't recommend gstreamer1.0-pulseaudio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Sep 2022 17:39:18 -0400

totem (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Drop compatibility with old libgdk-pixbuf2.0-dev package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 14:19:13 -0400

totem (43~rc-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Don't recommend gstreamer1.0-pulseaudio
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 11:18:04 -0400

totem (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 11:14:40 -0400

totem (43~beta-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Don't recommend gstreamer1.0-pulseaudio
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
  * Drop Add-Mute-action.patch: the function was declared private
  * Modify 91_quicklist_entries.patch to drop Mute action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 14:16:02 -0400

totem (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.72.0
  * debian/control.in: Bump minimum libx11 to 1.8
  * debian/control.in: Build-Depend on libportal-gtk
  * debian/totem-common.install: Update
  * Drop gnome-desktop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 12:27:20 -0400

totem (42.0-2ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Don't recommend gstreamer1.0-pulseaudio
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 31 Jul 2022 18:05:42 -0400

totem (42.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build with gnome-desktop 43
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 08:38:45 -0400

totem (42.0-1ubuntu2) kinetic; urgency=medium

  * Don't recommend gstreamer1.0-pulseaudio

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 20 May 2022 16:45:24 -0400

totem (42.0-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 09:51:27 -0400

totem (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 18:51:02 -0400

totem (42~beta-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 25 Feb 2022 07:32:53 -0500

totem (41~alpha~20220222-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Removed delta
    - Add dont-make-compulsory.patch:
      + the issue has been fixed upstream now
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 12:01:35 -0500

totem (41~alpha~20220222-1) experimental; urgency=medium

  * New upstream git snapshot
  * Drop meson patch: applied in new release
  * debian/control.in: Drop no longer needed clutter dependencies
  * debian/control.in: Build-Depend on and Depend on gstreamer1.0-gtk3 & -gl
  * debian/control.in: Build-Depend on libhandy
  * debian/totem-plugins.install:
    MPRIS plugin replaces obsolete media-player-keys

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 23 Feb 2022 11:50:00 -0500

totem (3.38.2-2) unstable; urgency=medium

  * Team upload
  * d/p/build-Remove-unused-i18n.merge_file-name.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61 (Closes: #1005565)
  * Adjust patch metadata

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 14:21:34 +0000

totem (3.38.2-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Removed delta
    - Add dont-make-compulsory.patch:
      + the issue has been fixed upstream now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Oct 2021 15:37:03 +0200

totem (3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Oct 2021 20:35:06 -0400

totem (3.38.1-2) unstable; urgency=medium

  * Simplify debian/rules a bit
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 19:25:21 -0400

totem (3.38.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/test-totem-Properly-handle-menu-text-for-undetermined-lan.patch:
    - remove the patch since the issue is fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Jun 2021 21:10:16 +0200

totem (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Nov 2020 10:17:46 +0000

totem (3.38.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Add support for Tracker 3 indexer
    - Support auto-loading VTT subtitles
    - Fix some stutters on some systems when current state is being
      saved to disk
    - Better error messages when SSL/TLS support is missing
    - Improve the search entry's behaviour
    - Improve the way time is written in some places
    - Remove association with audio files, as we really don't want
      to be an audio player
    - Fix YouTube search not working
    - Fix a number of keyboard shortcuts not working
    - Remove a number of deprecated calls
  * debian/control: Bump dependencies to match upstream
  * debian/patches: Refresh
  * d/p/test-totem-Properly-handle-menu-text-for-undetermined-lan.patch:
    - Ensure that menu-text uses generic values on undefined language.
      Tests were failing with recent gstreamer as the returned language was
      not "NULL", but "Undetermined", causing this value to be used as
      language instead of the generic fallback.
  * debian: Depend on debhelper-compat = 13.
    As per this we can remove the --fail-missing flag on dh_missing (as it's
    already the default)

  [ Laurent Bigonville ]
  * Disable integration at-spi2 for the tests and fix the nocheck build-profile

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 02:47:32 +0200

totem (3.34.1-2ubuntu2) focal; urgency=medium

  * Rebuild with the new gnome-desktop soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 11:05:06 +0100

totem (3.34.1-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 10:09:01 +0200

totem (3.34.1-2) unstable; urgency=medium

  * debian/totem.install: debhelper-compat 12 uses /usr/libexec by default

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 10:17:12 -0400

totem (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 08:52:23 -0400

totem (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/rules:
    - remove use of the now deprecated -Denable-introspection option

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:37:12 +0200

totem (3.33.90-2) experimental; urgency=medium

  * debian/totem-plugins.install:
    - install the new open-directory plugin

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 17:11:35 +0200

totem (3.33.90-1) experimental; urgency=medium

  * New upstream release
    - Reduce GSettings writes on startup
    - Remove obsolete LIRC and Brasero plugins
  * debian/control.in:
    - don't Build-Depends on liblircclient-dev
  * debian/totem-plugins.install:
    - updated for the lirc and brasero plugins removal

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 16:42:43 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libtotem0`.
